- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Static Protected Attributes

# HelpButton Class Reference

Search for all occurrences

## Detailed Description

A widget for accessing the context sensitive help.

Definition at line 674 of file widgets.h.

`#include <widgets.h>`

Inheritance diagram for HelpButton:
[legend]

List of all members.

## Public Member Functions
| HelpButton (QWidget *parent, const QString &sID, const QString &sText=tr("Help..."))
| Constructor, sID is the help entry id where this help button pointing to.
void | SetHelpID (const QString &sID)
| Set the help entry id.
QString | HelpID (void)
| Get the help entry id.
## Protected Attributes
QString | m_sID
| A help entry id which maps to different help links for different languages.
## Static Protected Attributes
static QSignalMapper * | s_pSignalMapper

## Constructor & Destructor Documentation

HelpButton | ( | QWidget * | parent,
|  | const QString & | sID,
|  | const QString & | sText = `tr("Help...")`
| ) |  |

Constructor, sID is the help entry id where this help button pointing to.

## Member Function Documentation

void SetHelpID | ( | const QString & | sID | ) |

Search for all occurrences

Set the help entry id.

QString HelpID | ( | void |  | ) | `[inline]`

Search for all occurrences

Get the help entry id.

Definition at line 683 of file widgets.h.

    { return m_sID; };

## Member Data Documentation

QString m_sID `[protected]`

Search for all occurrences

A help entry id which maps to different help links for different languages.

Definition at line 683 of file widgets.h.

QSignalMapper* s_pSignalMapper `[static, protected]`

Search for all occurrences

Definition at line 689 of file widgets.h.

The documentation for this class was generated from the following file:

- Mudbox/widgets.h

HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton
HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton HelpButton